# $Revision: 1.122 $, $Date: 2010/04/26 06:28:15 $
#
# Conditional build:
%bcond_with	tests	# perform make check
#
Summary:	A GNU file archiving program
Summary(de.UTF-8):	GNU-Magnetband-Archivierprogramm (tar)
Summary(es.UTF-8):	GNU Tape Archiver (tar)
Summary(fr.UTF-8):	Programme d'archivage GNU (tar: GNU Tape Archiver)
Summary(pl.UTF-8):	Program do archiwizacji (GNU)
Summary(pt_BR.UTF-8):	GNU Tape Archiver (tar)
Summary(tr.UTF-8):	Yaygın kullanılan yedekleyici
Name:		tar
Version:	1.23
Release:	1
Epoch:		1
License:	GPL v3+
Group:		Applications/Archiving
Source0:	http://ftp.gnu.org/gnu/tar/%{name}-%{version}.tar.bz2
# Source0-md5:	41e2ca4b924ec7860e51b43ad06cdb7e
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	4e4b1655fe42c27a4eb5d7bcd82e74ac
Patch0:		%{name}-man-debian.patch
Patch1:		%{name}-man.patch
Patch2:		%{name}-info.patch
Patch3:		%{name}-pl.po-update.patch
Patch4:		%{name}-zero-block.patch
Patch5:		am-nosilentrules.patch
URL:		http://www.gnu.org/software/tar/tar.html
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	bison
BuildRequires:	gettext-devel >= 0.16
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
Conflicts:	amanda-client < 2.5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_bindir		/bin
%define		_libexecdir	/sbin

%description
The GNU tar program saves many files together into one archive and can
restore individual files (or all of the files) from the archive. Tar
can also be used to add supplemental files to an archive and to update
or list files in the archive.

Tar includes multivolume support, automatic archive compression/
decompression, the ability to perform remote archives and the ability
to perform incremental and full backups.

If you want to use Tar for remote backups, you'll also need to install
the rmt package.

%description -l de.UTF-8
Das GNU tar-Programm speichert mehrere Dateien in ein Archiv, und kann
einzelne Dateien daraus wiederherstellen (oder auch alle Dateien). Tar
kann auch benutzt werden, um einem Archiv Dateien hinzuzufügen, und um
die Liste der Dateien im Archiv anzuzeigen oder zu verändern.

Tar enthält multivolume-Support, automatische
Archivkompression/dekompression, the Möglichkeit, Dateien per Netzwerk
zu archivieren und die Möglichkeit zu inkrementellen backups.

Wenn Sie tar für Netzwerkbackups benutzen wollen, brauchen Sie
außerdem das rmt-Paket.

%description -l es.UTF-8
GNU "tar" guarda varios archivos juntos, en una cinta o archivo de
disco, y puede restaurar archivos individuales de este almacenaje.
Incluye soporte para multivolúmenes, habilidad de almacenar archivos
dispersos, compresión/descompresión automática, almacenajes remotos y
características especiales que permiten "tar" ser usado para backups
incrementales y completos. Si deseas hacer backups remotos con tar, te
hará falta instalar el paquete "rmt".

%description -l fr.UTF-8
Le programme GNU tar permet de regrouper plusieurs fichiers en une
seule archive et d'effectuer diverses opérations sur cette archive
(extraction d'un fichier particulier, mise à jour, ajout d'un nouveau
fichier, ...).

Tar gère les archives multi-volumes, la compression et la
décompression de manière transparente ainsi que la possibilité de
réaliser des sauvegardes incrémentales et des sauvegardes complètes.

Si vous comptez utiliser Tar pour des sauvegardes distantes, vous
devriez également installer le programme rmt.

Tar devrait être installé sur tout système car ses capacité de
(dé)compression sont essentielles pour travailler sur les fichiers.

%description -l pl.UTF-8
Program GNU tar służy do zapisywania wielu plików w pojedynczym
archiwum i może także służyć do odzyskiwania z tak preparowanych
archiwów pojedynczych plików (lub wszystkich). Za jego pomocą można
także dodawać nowe pliki do już istniejącego archiwum.

GNU tar umożliwia robienie wieloczęściowych archiwów (multivolume
archive), automatyczną kompresję i dekompresję samego archiwum a także
ma możliwość operowania na zdalnych archiwach co jest przydatne przy
sporządzaniu przyrostowych i pełnych archiwów zasobów.

Jeżeli zamierzasz używać programu tar do operowania na zdalnych
archiwach powinieneś doinstalować pakiet rmt.

GNU tar służy do zapisywania wielu plików na taśmę lub dysk. Może
odtwarzać pojedyncze pliki z archiwum. Umożliwia zapis dużego archiwum
z podziałem na wiele nośników. Tar obsługuje także automatyczną
kompresję/dekompresję i archiwa zdalne. Posiada specjalne opcje do
robienia pełnych i przyrostowych kopii bezpieczeństwa. Aby tworzyć
zdalne archiwa tar-a trzeba zainstalować pakiet rmt.

%description -l pt_BR.UTF-8
GNU "tar" guarda vários arquivos juntos em uma fita ou arquivo de
disco, e pode restaurar arquivos individuais desta armazenagem. Ele
inclui suporte para multi-volumes, habilidade de armazenar arquivos
dispersos, compressão/descompressão automática, armazenamentos remotos
e características especiais que permitem "tar" ser usado para backups
incrementais e completos. Se você deseja fazer backups remotos com
tar, você irá precisar instalar o pacote "rmt".

%description -l tr.UTF-8
GNU tar, birden çok dosyayı tek bir manyetik bant ya da disk üzerinde
arşivleyebildiği gibi, bu dosyaların arşivden tek tek geri
yüklenmesine de izin verir. Çok kısımlı arşivleri, otomatik arşiv
sıkıştırma ve açmayı, uzak arşivleri, artımsal yedeklemeyi destekler.

%package rmt
Summary:	tar's version of rmt utility
Summary(pl.UTF-8):	Narzędzie rmt z pakietu tar
Group:		Applications/Archiving

%description rmt
This package provdes rmt utility which can be used instead of the one
coming from dump project.

%description rmt -l pl.UTF-8
Pakiet ten dostarcza narzędzie rmt, które może być użyte zamiast tego
z pakietu dump.

%prep
%setup -q
%patch0 -p2
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/usr/bin,%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_bindir}/tar $RPM_BUILD_ROOT/usr/bin/gtar

install tar.1 $RPM_BUILD_ROOT%{_mandir}/man1
bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README NEWS
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) /usr/bin/*
%{_infodir}/tar.info*
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(id) %{_mandir}/id/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%files rmt
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tar.spec,v $
Revision 1.122  2010/04/26 06:28:15  glen
- allow building with older am

Revision 1.121  2010/04/01 07:52:32  qboosh
- added CVE note

Revision 1.120  2010/04/01 07:50:58  qboosh
- updated to 1.23 [fixes CVE-2010-0624]
- updated pl.po-update patch, removed outdated sock patch

Revision 1.119  2010/02/16 20:55:50  ankry
- typo

Revision 1.118  2010/02/16 20:55:12  ankry
- no longer no in src

Revision 1.117  2009/05/07 06:52:38  amateja
- reverted previous path change

Revision 1.116  2009/05/06 07:33:01  amateja
- updated to 1.22
- adaptarized

Revision 1.115  2008/12/27 18:05:40  qboosh
- pl.po-update patch updated from official translation update
- typo

Revision 1.114  2008/12/27 16:03:59  adamg
- updated to 1.21; rmt subpackage

Revision 1.113  2008-04-15 19:06:15  qboosh
- updated pl.po-update patch is back
- release 1

Revision 1.112  2008-04-15 18:17:35  witekfl
- up to 1.20
- pl.po patch needs update
- rel 0.5

Revision 1.111  2008-04-08 08:24:54  glen
- unify ftp.gnu.org urls

Revision 1.110  2008-01-24 01:23:02  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.109  2008-01-22 14:39:01  baggins
- rel 2
- C: old amanda (tar changed exit codes and old amanda breaks on it)

Revision 1.108  2007/10/23 18:00:35  qboosh
- updated to 1.19 (fixes CVE-2007-4476)
- removed obsolete dots patch (similar fix upstream at last, it's CVE-2007-4131 now)
- updated pl.po-update patch

Revision 1.107  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.106  2007/07/01 16:19:23  qboosh
- bcond desc
- updated pl.po-update patch from GNU TP

Revision 1.105  2007/07/01 10:27:55  arekm
- better notation for gplv3 or any later

Revision 1.104  2007/06/30 18:12:09  arekm
- enable tests

Revision 1.103  2007/06/30 18:00:27  arekm
- up to 1.18; first GPL v3 licensed program in PLD

Revision 1.102  2007/06/13 21:32:06  qboosh
- updated to 1.17
- updated pl.po-update patch, removed obsolete futimens patch

Revision 1.101  2007/05/18 17:52:28  sparky
- added futimens patch

Revision 1.100  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.99  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.98  2006/12/09 17:50:18  qboosh
- updated to 1.16.1 (resolves CVE-2006-6097 by removing old and rare
  GNUTYPE_NAMES record support
- updated pl.po-update patch

Revision 1.97  2006/11/01 13:52:13  qboosh
- updated to 1.16
- updated pl.po-update,sock patches, removed obsolete heapOverflow patch

Revision 1.96  2006/07/31 10:37:07  sparky
- fix build with new autoconf+gettext

Revision 1.95  2006/03/07 23:17:28  qboosh
- added heapOverflow patch (fixes CVE-2006-0300), release 3

Revision 1.94  2005/07/21 17:07:53  darekr
- BR: sed 4.0

Revision 1.93  2005/04/16 22:08:45  glen
- use of emoticons

Revision 1.92  2005/04/16 20:25:42  areq
- fixed build with new gettext

Revision 1.91  2005/02/19 15:06:26  ankry
- kill no locale, rel. 2

Revision 1.90  2004/12/25 18:04:57  qboosh
- automake epoch

Revision 1.89  2004/12/23 23:53:18  qboosh
- pl.po-update patch is back (updated)

Revision 1.88  2004/12/22 09:29:17  wiget
- up to 1.15.1

Revision 1.87  2004/12/22 09:21:19  paszczus
- updated to 1.15
- commented out Patch3:pl.po-update.patch (propably not needed for now)

Revision 1.86  2004/10/29 13:36:57  paladine
- spelling fixes

Revision 1.85  2004/09/08 16:56:26  pluto
- [FIX] non-recoverable error (lone zero block) on certain archives.
  (stolen from debian).
- release 2.

Revision 1.84  2004/05/22 14:40:20  qboosh
- updated to 1.14 (new stable version)
- updated man page from Debian (man-debian patch)
- updated man,pl.po-update,sock patches
- dropped nolibrt patch (now tar supports nanosecond timestamps)

Revision 1.83  2004/04/14 22:11:47  qboosh
- updated pl.po-update patch, release 1

Revision 1.82  2004/04/14 10:40:32  qboosh
- updated info patch, removed obsolete iconv patch
- pl.po must wait a little (maybe in the evening?)

Revision 1.81  2004/04/14 10:05:38  paszczus
- added URL

Revision 1.80  2004/04/14 09:37:59  agaran
- updated to 1.13.94, nfy, some patches need update/review

Revision 1.79  2004/03/17 10:53:07  qboosh
- release 1 (this version seems to fix problems with somedir/./something)

Revision 1.78  2004/03/01 23:48:24  qboosh
- removed locale patch (obsolete since 1.13.92)

Revision 1.77  2004/03/01 23:39:46  qboosh
- updated to 1.13.93, updated pl.po-update patch
- removed obsolete fix-create-options (bug fixed), added iconv patch (bug added)

Revision 1.76  2004/01/02 19:45:47  pius
- fixed non-working --one-file-system (-l) and --no-recursion options
  (tar-fix-create-options.patch)
- release 0.2

Revision 1.75  2003/12/13 10:48:33  qboosh
- updated to 1.13.92
- updated pl.po-update, sock, nolibrt patches

Revision 1.74  2003/12/12 18:11:48  eothane
- some updates

Revision 1.73  2003/11/15 01:06:40  qboosh
- switched to .bz2 source
- updated patches: info, sock, nolibrt, dots(!)
- pl.po-fix replaced with pl.po-update patch
- removed obsolete patches:
  pipe - seems fixed in slightly other way
  namecache - obsolete since 1.12.lfs.3 (1.13 rel) (sic!)
  error and ac25x - obsolete now
- added locale patch (setlocale was not detected and thus not used)
- release 0.2 (for testing)

Revision 1.72  2003/11/12 21:55:14  qboosh
- release back to 0.1 - totally unfinished (I'll look at it later)

Revision 1.71  2003/11/12 17:42:53  cieciwa
- updated to 1.13.90.
- patches not adapted.

Revision 1.70  2003/08/25 22:35:45  mmazur
- rel 8 for ac

Revision 1.69  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.68  2003/06/26 15:03:46  qboosh
- fixed build with gettext 0.12.1

Revision 1.67  2003/06/02 15:18:30  ankry
- added/changed non-english-man-pages URL

Revision 1.66  2003/05/29 11:14:17  adgor
- Fixed srcs md5dum; bad urls removed

Revision 1.65  2003/05/26 16:25:52  malekith
- massive attack: adding Source-md5

Revision 1.64  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.63  2003/05/25 06:27:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.62  2003/03/09 23:08:50  qboosh
- added pl.po-fix patch (typos, two mistranslated messages)
- define _bindir to /bin to avoid creating symlink to "//bin/tar"
- release 7

Revision 1.61  2002/11/30 23:00:28  juandon
- new %%doc

Revision 1.60  2002/10/09 13:14:48  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.59  2002/09/29 23:50:55  lukasz
- added tar-dots.patch, it was taken from RH-updates,
  CAN-2001-1267 at cve.mitre.org

Revision 1.58  2002/05/21 23:14:48  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.57  2002/04/14 22:10:02  ankry
- fixed typos in pl man page; release 5

Revision 1.56  2002/04/11 17:49:06  qboosh
- added ac25x patch needed for autoconf 2.53

Revision 1.55  2002/04/10 20:12:52  ankry
- generally: man pages update
- release 4, STBR

Revision 1.54  2002/03/30 23:56:52  agaran
added gettext-devel to buildreq

Revision 1.53  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.52  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.51  2002/01/18 02:15:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.50  2001/11/23 02:01:19  kloczek
- bump release to 3,
- merge sock, nolibrt patches rom rawhide.

Revision 1.49  2001/11/21 19:00:37  saq
- up to 1.13.25, STBR

Revision 1.48  2001/11/15 23:27:43  ankry
- added de, es, fi, fr, hu, id, it, ja, nl man pages
- release 2

Revision 1.47  2001/09/03 13:23:22  wiget
version 1.13.22

Revision 1.46  2001/08/28 08:39:18  kloczek
- typo.

Revision 1.45  2001/08/28 08:38:19  kloczek
- updated to 1.13.20,
- added regenerate ac/am files,
- merged error patch from rawhide and translations from CNV.

Revision 1.44  2001/08/09 00:23:35  agaran
s/configure/configure2_13/
because adding aclocal/autoconf in %build dont helped

Revision 1.43  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.41  2001/06/04 14:51:19  baggins
- removed gettextize (breaks compilation)

Revision 1.40  2001/01/17 20:57:53  kloczek
- updated to 1.13.19.

Revision 1.39  2000/11/12 05:11:42  kloczek
- updated to 1.13.18,
- merged RH changes and removed obsoleted patches (fnmatch, exitcode),
- removed linking with libbsd (seems this is not neccessary).

Revision 1.38  2000/10/12 19:59:41  kloczek
- comment ia64 patch (must be fixed).

Revision 1.37  2000/10/12 19:55:00  kloczek
- release 9,
- use new rpm automation,
- merge exitcode patch from RH.

Revision 1.36  2000/08/07 13:23:33  zagrodzki
- adapterized
- fixed side effects of previous adapterizing (.tar.gz -> %{name}.gz and
  similiar)

Revision 1.35  2000/07/12 18:55:43  baggins
- ifarch ia64 patch

Revision 1.34  2000/07/12 18:54:44  baggins
- release 6
- added fixes from rawhide

Revision 1.33  2000/06/13 20:35:05  kloczek
- spec adapterized.

Revision 1.32  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.31  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.30  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.29  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.28  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.27  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.26  2000/01/11 12:26:48  kravietz
- update do 1.13.17

Revision 1.25  2000/01/05 03:29:25  kloczek
- downgrase to 1.13.15 because 1.13.16 is buggy (added Epoch: 1 to allow
  downdgrade without --force).

Revision 1.24  1999/12/14 12:31:50  wiget
1.13.16

Revision 1.23  1999/12/07 09:19:30  wiget
1.13.15

Revision 1.22  1999/11/22 02:52:19  kloczek
- updated to 1.13.14 (release 2 - in rawhide is 1),
- updated Source url.

Revision 1.21  1999/09/30 22:01:12  kloczek
- updated to 1.13.12.

Revision 1.20  1999/09/13 13:17:08  kloczek
- release 2,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries
  format.

Revision 1.19  1999/08/31 21:16:57  kloczek
- updated to 1.3.11,
- removed bzip2 patches,
- removed calling aclocal, automake, autoconf from %build (not neccessary),
- new Summary, and %description's (en, de, fr, pl).

Revision 1.18  1999/08/25 20:31:04  baggins
- updated to 1.13

Revision 1.17  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

